Google Ads Ad Manager V1 Client - Class HttpRequest (0.14.1)

Reference documentation and code samples for the Google Ads Ad Manager V1 Client class HttpRequest.

An HTTP request made by DAI.

Generated from protobuf message google.ads.admanager.v1.DaiSession.HttpRequest

Namespace

Google \ Ads \ AdManager \ V1 \ DaiSession

Methods

__construct

Constructor.

Parameters
Name Description
data array

Optional. Data for populating the Message object.

↳ request_time Google\Protobuf\Timestamp

Output only. The time when the request was made.

↳ latency Google\Protobuf\Duration

Output only. How long the request took to complete.

↳ url string

Output only. The URL sent in the request.

↳ user_agent string

Output only. The user agent sent with the request.

↳ response_code int

Output only. The HTTP response code.

↳ response_body string

Output only. The full response body.

getRequestTime

Output only. The time when the request was made.

Returns
Type Description
Google\Protobuf\Timestamp|null

hasRequestTime

clearRequestTime

setRequestTime

Output only. The time when the request was made.

Parameter
Name Description
var Google\Protobuf\Timestamp
Returns
Type Description
$this

getLatency

Output only. How long the request took to complete.

Returns
Type Description
Google\Protobuf\Duration|null

hasLatency

clearLatency

setLatency

Output only. How long the request took to complete.

Parameter
Name Description
var Google\Protobuf\Duration
Returns
Type Description
$this

getUrl

Output only. The URL sent in the request.

Returns
Type Description
string

hasUrl

clearUrl

setUrl

Output only. The URL sent in the request.

Parameter
Name Description
var string
Returns
Type Description
$this

getUserAgent

Output only. The user agent sent with the request.

Returns
Type Description
string

hasUserAgent

clearUserAgent

setUserAgent

Output only. The user agent sent with the request.

Parameter
Name Description
var string
Returns
Type Description
$this

getResponseCode

Output only. The HTTP response code.

Returns
Type Description
int

hasResponseCode

clearResponseCode

setResponseCode

Output only. The HTTP response code.

Parameter
Name Description
var int
Returns
Type Description
$this

getResponseBody

Output only. The full response body.

Returns
Type Description
string

hasResponseBody

clearResponseBody

setResponseBody

Output only. The full response body.

Parameter
Name Description
var string
Returns
Type Description
$this